Skip to main content
GET
/
salesOrders
Query Sales Orders
curl --request GET \
  --url https://api.jtl-cloud.com/erp/salesOrders \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "TotalItems": 123,
  "PageNumber": 123,
  "PageSize": 123,
  "Items": [
    {
      "Id": 123,
      "Number": "A1004465",
      "ExternalNumber": "D456-64894-132",
      "BillingNumber": "RE-202404-10000",
      "CompanyId": 123,
      "DepartureCountry": {
        "CountryISO": "DE",
        "State": "Berlin",
        "CurrencyIso": "EUR",
        "CurrencyFactor": 1
      },
      "CustomerId": 123,
      "CustomerVatID": "DE12345",
      "MerchantVatID": "DE12345",
      "BillingAddress": {
        "Id": 123,
        "Company": "Sportbedarf Sommer",
        "Company2": "Innovation Division",
        "FormOfAddress": "Mr.",
        "Title": "Dr.",
        "FirstName": "John",
        "LastName": "Doe",
        "Street": "Main St. 123",
        "Address2": "Floor 5, Apt 302",
        "PostalCode": "12345",
        "City": "Example City",
        "State": "Example State",
        "CountryIso": "DE",
        "VatID": "DE123456789",
        "PhoneNumber": "+49 1234 445556661",
        "MobilePhoneNumber": "+49 160 123 4567",
        "EmailAddress": "example@email.com",
        "Fax": "+49 1234 4455566615"
      },
      "Shipmentaddress": {
        "Id": 123,
        "Company": "Sportbedarf Sommer",
        "Company2": "Innovation Division",
        "FormOfAddress": "Mr.",
        "Title": "Dr.",
        "FirstName": "John",
        "LastName": "Doe",
        "Street": "Main St. 123",
        "Address2": "Floor 5, Apt 302",
        "PostalCode": "12345",
        "City": "Example City",
        "State": "Example State",
        "CountryIso": "DE",
        "VatID": "DE123456789",
        "PhoneNumber": "+49 1234 445556661",
        "MobilePhoneNumber": "+49 160 123 4567",
        "EmailAddress": "example@email.com",
        "Fax": "+49 1234 4455566615"
      },
      "SalesOrderDate": "2023-02-01T12:45:00.0000000+00:00",
      "SalesOrderPaymentDetails": {
        "PaymentMethodId": 123,
        "PaymentStatus": 0,
        "TotalGrossAmount": 19.99,
        "CurrencyIso": "EUR",
        "CurrencyFactor": 1,
        "DateOfPayment": "2023-01-15T13:00:00.0000000+00:00",
        "StillToPay": 0,
        "PaymentTarget": 0,
        "CashDiscount": 5,
        "CashDiscountDays": 2
      },
      "SalesOrderShippingDetail": {
        "ShippingMethodId": 123,
        "DeliveryCompleteStatus": 0,
        "ShippingPriority": 5,
        "ShippingDate": "2023-01-15T13:00:00.0000000+00:00",
        "EstimatedDeliveryDate": "2023-01-16T13:00:00.0000000+00:00",
        "DeliveredDate": "2023-01-15T13:00:00.0000000+00:00",
        "OnHoldReasonId": 123,
        "ExtraWeight": 0.1
      },
      "ColorcodeId": 123,
      "IsExternalInvoice": false,
      "Comment": "an additional order comment",
      "CustomerComment": "an additional customer comment",
      "IsCancelled": false,
      "LanguageIso": "DE",
      "CancellationDetails": {
        "CancellationReasonId": 123,
        "CancellationComment": "Change of mind (once again); we should consider terminating the customer relationship",
        "Date": "2023-02-01T12:45:00.0000000+00:00"
      },
      "SalesChannelId": "1-1-1",
      "UserCreatedId": 123,
      "UserId": 123,
      "TransactionStatusId": 123
    }
  ],
  "TotalPages": 123,
  "HasPreviousPage": true,
  "HasNextPage": true,
  "NextPageNumber": 123,
  "PreviousPageNumber": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

salesOrderNumber
string

Search for a specific sales order number.

externalOrderNumber
string

Search for a specific external order number.

billingNumber
string

Search for a specific billing number.

itemId
integer<int32>
customerId
integer<int32>
IsExisting
boolean
paymentStatus
enum<integer>

Search for a specific payment status. 0 = UnPayed, 1 = PartialPayed, 2 = Payed

Available options:
0,
1,
2
paymentMethodId
integer<int32>
deliveryCompleteStatus
enum<integer>

Search for a specific payment status. 0 = DeliveryNotComplete, 1 = DeliveryComplete, 2 = DeliveryCompleteWithoutNote

Available options:
0,
1,
2
createdUserId
integer<int32>
companyId
integer<int32>
salesChannelId
string

Search for a specific sales channel Id.

createdSince
string<date-time>

Search for sales orders created after this date.

createdUntil
string<date-time>

Search for sales orders created before this date.

colorId
integer<int32>
ebayUsername
string

Search for sales orders with a specific eBay username.

shippingMethodId
integer<int32>
deliveredDate
string<date-time>

Search for sales orders delivered on this date.

isCancelled
boolean

Determines if the sales order is cancelled.

onHoldReasonId
integer<int32>
isExternalInvoice
boolean

Determines if the sales order is an external invoice.

pageNumber
integer<int32>

Number of the page of items to fetch.

pageSize
integer<int32>

Size of the page that is specified by pageNumber.

Response

Returns all non-pending sales orders.

Represents a paginated list of items

TotalItems
integer<int32>
required

Gets or sets the total number of items available in the data source.

PageNumber
integer<int32>
required

Gets or sets the current page number in the paginated list.

PageSize
integer<int32>
required

Gets or sets the number of items per page in the paginated list.

Items
object[]
required

Gets or sets the collection of items contained in the paged list.

TotalPages
integer<int32>
read-only

Gets the total number of pages based on the total number of items and the page size.

HasPreviousPage
boolean
read-only

Gets a value indicating whether there is a previous page available in the paginated list.

HasNextPage
boolean
read-only

Gets a value indicating whether there is a next page available.

NextPageNumber
integer<int32>
read-only

Gets the number of the next page if there is one; otherwise, returns the total number of pages.

PreviousPageNumber
integer<int32>
read-only

Gets the number of the previous page. If there is no previous page, it returns 1.